# $Revision: 1.96 $, $Date: 2012/05/17 20:55:10 $
Summary:	Desktop manager for the Xfce Desktop Environment
Summary(pl.UTF-8):	Zarządca pulpitu dla środowiska Xfce
Name:		xfdesktop
Version:	4.10.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/xfdesktop/4.10/%{name}-%{version}.tar.bz2
# Source0-md5:	d5f6fb9fdde3ddff5804b2a251892936
URL:		http://www.xfce.org/projects/xfdesktop
BuildRequires:	Thunar-devel >= 1.4.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	garcon-devel >= 0.1.3
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	libwnck2-devel >= 2.22.0
BuildRequires:	libxfce4ui-devel >= 4.10.0
BuildRequires:	libxfce4util-devel >= 4.10.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.10.0
BuildRequires:	xfconf-devel >= 4.10.0
Requires:	garcon >= 0.2.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-dirs >= 4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfdesktop contain a desktop manager for the Xfce Desktop Environment.

%description -l pl.UTF-8
xfdesktop zawiera zarządcę pulpitu dla środowiska Xfce.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--enable-desktop-icons \
	--enable-desktop-menu \
	--enable-exo \
	--enable-file-icons \
	--enable-thunarx

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/xfdesktop
%attr(755,root,root) %{_bindir}/xfdesktop-settings
%{_mandir}/man1/*.1*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/*/apps/*
%dir %{_datadir}/backgrounds/xfce
%{_datadir}/backgrounds/xfce/xfce-blue.jpg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfdesktop.spec,v $
Revision 1.96  2012/05/17 20:55:10  baggins
- rel 2
- package missing dir

Revision 1.95  2012/05/17 18:05:10  baggins
- updated files

Revision 1.94  2012/05/17 18:00:01  baggins
- updated files

Revision 1.93  2012/05/17 12:02:15  baggins
- 4.10.0

Revision 1.92  2011/09/28 11:24:05  baggins
- 4.8.3

Revision 1.91  2011/04/23 22:00:31  baggins
- added new help langs

Revision 1.90  2011/04/23 21:52:33  baggins
- 4.8.2

Revision 1.89  2011/04/13 16:19:37  megabajt
- release 2

Revision 1.88  2011/02/16 18:54:58  megabajt
- merged from DEVEL

Revision 1.84.2.3  2011/02/11 15:41:18  megabajt
- updated to 4.8.1

Revision 1.84.2.2  2011/02/05 22:34:24  megabajt
- updated to 4.8.0
- -generic-menu.patch seems to be obsoleted
- release 0.1

Revision 1.87  2011/02/04 18:24:11  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.86  2010/11/14 16:23:04  baggins
- no ur_PK locale

Revision 1.85  2010/11/14 12:50:09  baggins
- 4.6.2

Revision 1.84.2.1  2010/11/14 12:28:17  baggins
- 4.7.2, XFCE 4.8pre1

Revision 1.84  2010/11/11 21:04:33  baggins
- rel 6
- dirs cleanup

Revision 1.83  2010/05/16 18:28:25  baggins
- rel 5

Revision 1.82  2010/05/16 18:22:38  baggins
- search for applications.menu first (just like libxfce4menu)

Revision 1.81  2010/01/30 00:52:44  megabajt
- release 4

Revision 1.80  2009/07/12 13:20:30  arekm
- release 3

Revision 1.79  2009/06/17 14:09:16  hawk
- release 2

Revision 1.78  2009/04/27 08:08:25  adamg
- updated to 4.6.1

Revision 1.77  2009/02/28 14:24:57  megabajt
- updated to 4.6.0
- removed obsolete -locale-names.patch, -desktop.patch and -ac_fix.patch

Revision 1.76  2008/10/28 12:02:22  blues
- ac_fix patch added - builds now

Revision 1.75  2008/10/28 00:13:14  blues
- 4.4.3

Revision 1.74  2007/12/06 16:32:37  megabajt
- updated to 4.4.2

Revision 1.73  2007-07-02 00:38:23  shadzik
- rel 3

Revision 1.72  2007/07/02 00:11:32  shadzik
- rel 2

Revision 1.71  2007/04/11 20:01:58  rotom
- 4.4.1
- some langs added

Revision 1.70  2007/04/03 17:28:11  megabajt
- added desktop patch
- release 2

Revision 1.69  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.68  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.67  2007/01/22 18:04:51  megabajt
- updated to 4.4.0

Revision 1.66  2006/11/06 21:20:42  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.65  2006/09/05 19:20:51  megabajt
- md5

Revision 1.64  2006/09/05 19:17:36  megabajt
- up to 4.3.99.1
- use rpm macros

Revision 1.63  2006/07/16 20:46:19  freetz
- oops, cuto/pasto

Revision 1.62  2006/07/16 18:34:24  freetz
- merged from DEVEL

Revision 1.61.2.4  2006/07/16 18:33:52  freetz
- 4.3.90.2, updated deps and file list, --as-needed support, update icon
  cache

Revision 1.61.2.3  2006/05/10 21:25:42  freetz
- require freedesktop compliant menu infrastructure

Revision 1.61.2.2  2006/05/10 20:59:48  freetz
- vfmg is not required anymore, added Thunar support, updated BR

Revision 1.61.2.1  2006/04/26 19:20:25  troll
- updated to 4.3.90.1

Revision 1.61  2006/04/20 09:32:14  ankry
- tab

Revision 1.60  2006/04/18 20:38:34  sparky
- prepared for new vfmg

Revision 1.59  2005/11/10 06:58:20  charles
- updated to 4.2.3
- removed unnecessary -menu.patch
- updated %files

Revision 1.58  2005/05/20 18:00:44  qboosh
- lang() for xfce docs, sorted verify() flags

Revision 1.57  2005/05/20 16:17:35  koorek
- updated to 4.2.2
- BR xfce4-dev-tools
- added fr docs

Revision 1.56  2005/03/16 13:26:57  charles
- BR: gettext-devel

Revision 1.55  2005/03/16 04:32:47  koorek
- updated to 4.2.1
- more lang files

Revision 1.54  2005/01/17 18:22:50  charles
- updated to 4.2.0 final

Revision 1.53  2005/01/05 03:09:18  charles
- reverted Rs libxfce4mcs, libxfcegui4

Revision 1.52  2005/01/04 17:15:57  charles
- revert R: vfmg
- removed redundant R(post)

Revision 1.51  2005/01/04 17:02:23  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.50  2004/12/28 15:58:44  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.49  2004/12/14 13:14:51  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.48  2004/12/10 23:25:47  havner
- "" for env variables

Revision 1.47  2004/12/05 13:50:19  havner
- vfmg by default, rel 2

Revision 1.46  2004/11/29 09:15:05  wiget
- fix lang() tags

Revision 1.45  2004/11/27 19:28:54  havner
- rel 1

Revision 1.44  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.43  2004/11/27 18:04:29  qboosh
- missing dir

Revision 1.42  2004/11/27 17:57:03  havner
- bump vfmg req

Revision 1.41  2004/11/27 17:49:15  qboosh
- gtk+2 epoch, cleaned up files

Revision 1.40  2004/11/27 17:23:15  havner
- pl.menu in files

Revision 1.39  2004/11/27 17:17:23  havner
- filled previous buildlog

Revision 1.38  2004/11/27 17:15:39  havner
- fixed menu patch
- vfmg bcond, makeing vfmg patch

Revision 1.37  2004/11/27 16:02:44  havner
- builds, works, finishing menu patch

Revision 1.36  2004/11/27 15:45:52  havner
- merge from DEVEL, nfy

Revision 1.35  2004/09/16 10:03:26  ankry
- don't rebuild menu in %post if shouldn't, rel. 2

Revision 1.34  2004/07/19 13:10:13  qboosh
- tested, doesn't require startup-notification

Revision 1.33  2004/07/12 15:43:44  troll
- updated to 4.0.6
- fixed BRs and Rs

Revision 1.32  2004/07/08 11:21:00  qboosh
- updated locale-names patch (fix fa,pt names); release 6

Revision 1.31  2004/07/07 22:55:02  havner
- ok, I've got demension, I added -m parameter to vfmg and forgot to use it

Revision 1.30  2004/07/07 21:35:12  qboosh
- release 4

Revision 1.29  2004/07/07 21:31:02  qboosh
- fr doc dirs moved to xfce-mcs-manager (where C dirs live too)

Revision 1.28  2004/07/07 21:21:44  qboosh
- added locale-names patch, rename no->nb
- mark fr html resources with lang

Revision 1.27  2004/07/07 20:53:32  qboosh
- Requires(post): vfmg

Revision 1.26  2004/07/07 19:51:50  havner
- rel up (what's wrong with these builders?)

Revision 1.25  2004/07/07 19:39:29  havner
- package all docs

Revision 1.24  2004/07/07 16:56:06  havner
- fixed %files for pl and it menu

Revision 1.23  2004/07/07 16:39:54  havner
- menu patch

Revision 1.22  2004/07/07 15:19:48  havner
- menu generation added, needs one more patch, NFY

Revision 1.21.2.13  2004/11/27 11:40:34  havner
- don't own images dirs

Revision 1.21.2.12  2004/11/15 22:31:07  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.21.2.11  2004/11/13 20:42:28  troll
- updated to 4.1.91 (4.2 beta 2)
- proper BR: and R: versions

Revision 1.21.2.10  2004/10/08 15:09:41  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.21.2.9  2004/08/16 21:31:08  havner
- locale-names patch
- s/fa_IR/fa/;s/pt_PT/pt/

Revision 1.21.2.8  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.21.2.7  2004/08/14 23:29:51  havner
- BR: libxml2 (for menu editor)

Revision 1.21.2.6  2004/08/14 23:27:09  havner
- BR: xfce4-panel-devel

Revision 1.21.2.5  2004/08/14 23:24:49  havner
- proper version
- stricter BR
- 20040813
- some %files fixes

Revision 1.21.2.4  2004/08/07 01:34:56  havner
- url fixed

Revision 1.21.2.3  2004/08/07 01:33:03  havner
- 20040806

Revision 1.21.2.2  2004/06/22 13:22:20  jpc
- fixes from troll
- cosmetics

Revision 1.21.2.1  2004/06/16 23:49:07  jpc
- new snap 20040616
- autotoolized
- some new desktop files and icons

Revision 1.21  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.20  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.19  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.18  2004/03/14 20:13:29  adgor
- Some resources marked as %%lang()
- Rel++

Revision 1.17  2004/03/10 20:57:36  troll
- updated to 4.0.4

Revision 1.16  2004/01/14 22:13:30  undefine
- ac/am doesn't work.. copy config.sub only

Revision 1.15  2004/01/14 22:07:29  undefine
- ac/am, release 2

Revision 1.14  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.13  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.12  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.11  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.10  2003/09/14 15:59:07  troll
- updated to 3.99.4

Revision 1.9  2003/08/28 13:07:52  speedy
- broken mind, more coffee req.

Revision 1.8  2003/08/27 09:39:50  pascalek
- updated to 3.99.3

Revision 1.7  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.6  2003/08/01 14:55:20  qboosh
- /etc/xfce4 is in mcs-manager now

Revision 1.5  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.4  2003/07/07 07:35:20  pascalek
- updated to 3.91.0

Revision 1.3  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.2  2003/06/17 10:55:05  qboosh
- pl, cleanups, fixed file list

Revision 1.1  2003/06/14 20:09:46  pascalek
- initial release
